#include <unistd.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <sys/types.h>
#include <fcntl.h>
#include <errno.h>
#include <signal.h>
#include <stdio.h>
#include <sys/wait.h>
#include <stdio.h>
#include <string.h>
#include <limits.h>
#include <sys/os16.h>
//----------------------------------------------------------------------
static void usage (void);
//----------------------------------------------------------------------
int
main (int argc, char *argv[], char *envp[])
{
    int     status;
    //
    // One argument is mandatory.
    //
    if (argc != 2)
      {
        usage ();
        return (1);
      }
    //
    // System call.
    //
    status = umount (argv[1]);
    if (status != 0)
      {
        perror (argv[1]);
        return (2);
      }
    //
    return (0);
}
//----------------------------------------------------------------------
static void
usage (void)
{
    fprintf (stderr, "Usage: umount MOUNT_POINT\n");
}
