#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
//----------------------------------------------------------------------
void
print_time (void)
{
    unsigned long int ticks   = k_clock ();
    unsigned long int seconds = k_time (NULL);
    unsigned int      h       = seconds / 60 / 60;
    unsigned int      m       = seconds / 60 - h * 60;
    unsigned int      s       = seconds - m * 60 - h * 60 * 60;
    k_printf ("clock=%08lx, time elapsed=%02u:%02u:%02u",
              ticks, h, m, s);
}
