.global __int10_02
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; INT 0x10 - video - set cursor position
;       AH = 0x02
;       BH = page number:
;            0-7 in modes 0 and 1
;            0-3 in modes 2 and 3
;       DH = row (0x00 is top)
;       DL = column (0x00 is left)
;-----------------------------------------------------------------------
.align 2
__int10_02:
    enter #0, #0        ; No local variables.
    pushf
    cli
    pusha
    mov   ah, #0x02
    mov   bh, #0x00
    mov   bh, 4[bp]     ; 1st arg (page).
    mov   dx, 6[bp]     ; 2nd arg (pos).
    int   #0x10
    popa
    popf
    leave
    ret
