#include <kernel/ibm_i86.h>
#include <kernel/k_libc.h>
#include <sys/os16.h>
#include <sys/types.h>
#include <stdint.h>
//----------------------------------------------------------------------
void
irq_off (unsigned int irq)
{
    unsigned int mask;
    unsigned int status;
    if (irq > 7)
      {
        return; // Only XT IRQs are handled.
      }
    else
      {
        mask   = (1 << irq);
        status = in_8 (0x21);
        status = status | mask;
        out_8 (0x21, status);
      }
}
