#include <kernel/proc.h>
//----------------------------------------------------------------------
void
proc_sig_term (pid_t pid, int sig)
{
    if (proc_sig_status (pid, sig))
      {
        if (proc_sig_ignore (pid, sig) && !(sig == SIGKILL))
          {
            proc_sig_off (pid, sig);
          }
        else
          {
            //
            // The signal, translated to negative, is returned (but
            // the effective value received by the application will
            // be cutted, leaving only the low 8 bit).
            //
            proc_sys_exit (pid, -sig);
          }
      }
}
