;-----------------------------------------------------------------------
; BCC compiler helper functions
; (C) Copyright Bruce Evans
; Typesetting adaptations by Daniele Giacomini
;
; GNU LGPL license
;
; Support for integer arithmetic
;-----------------------------------------------------------------------
.global lcmpl
.global lcmpul
;-----------------------------------------------------------------------
.text
;-----------------------------------------------------------------------
; lcmpl, lcmpul don`t preserve bx
;-----------------------------------------------------------------------
.align 2
lcmpl:
lcmpul:
        sub     bx,2[di]        
        je      LCMP_NOT_SURE
        ret

.align 2
LCMP_NOT_SURE:
        cmp     ax,[di]
        jb      LCMP_B_AND_LT
        jge     LCMP_EXIT
                        
        inc     bx
LCMP_EXIT:
        ret

.align 2
LCMP_B_AND_LT:
        dec     bx
        ret
