#ifndef _STDARG_H
#define _STDARG_H       1
//----------------------------------------------------------------------
typedef unsigned char *va_list;
//----------------------------------------------------------------------

#define va_start(ap, last) ((void) ((ap) = \
                            ((va_list) &(last)) + (sizeof (last))))
#define va_end(ap)         ((void) ((ap) = 0))
#define va_copy(dest, src) ((void) ((dest) = (va_list) (src)))
#define va_arg(ap, type)   (((ap) = (ap) + (sizeof (type))), \
                            *((type *) ((ap) - (sizeof (type)))))
//----------------------------------------------------------------------

#endif
