#include <stdlib.h>
#include <stdio.h>
//----------------------------------------------------------------------
extern atexit_t _atexit_table[];
//----------------------------------------------------------------------
void
exit (int status)
{
    int a;
    //
    // The "at exit" functions must be called in reverse order.
    //
    for (a = (ATEXIT_MAX - 1); a >= 0; a--)
      {
        if (_atexit_table[a] != NULL)
          {
            (*_atexit_table[a]) ();
          }
      }
    //
    // Now: really exit.
    //
    _Exit (status);
    //
    // Should not return from system call, but if it does, loop
    // forever:
    //
    while (1);
}
