#include <unistd.h>
//----------------------------------------------------------------------
int
execle (const char *path, const char *arg, ...)
{
    int    argc;
    char  *arg_next;
    char  *argv[ARG_MAX/2];
    char **envp;
    //
    va_list ap;
    va_start (ap, arg);
    //
    arg_next = arg;
    //    
    for (argc = 0; argc < ARG_MAX/2; argc++)
      {
	argv[argc] = arg_next;
	if (argv[argc] == NULL)
	  {
	    break;	// End of arguments.
	  }
	arg_next = va_arg (ap, char *);
      }
    //
    envp = va_arg (ap, char **);
    //
    return (execve (path, argv, envp));
}
