#include <unistd.h>
#include <stdlib.h>
#include <sys/stat.h>
#include <fcntl.h>
#include <kernel/devices.h>
#include <stdio.h>
//----------------------------------------------------------------------
int
main (void)
{
    int status;
    status = mknod ("mem",        (mode_t) (S_IFCHR | 0444),
                    (dev_t) DEV_MEM);
    if (status) perror (NULL);
    status = mknod ("null",       (mode_t) (S_IFCHR | 0666),
                    (dev_t) DEV_NULL);
    if (status) perror (NULL);
    status = mknod ("port",       (mode_t) (S_IFCHR | 0644),
                    (dev_t) DEV_PORT);
    if (status) perror (NULL);
    status = mknod ("zero",       (mode_t) (S_IFCHR | 0666),
                    (dev_t) DEV_ZERO);
    if (status) perror (NULL);
    status = mknod ("tty",        (mode_t) (S_IFCHR | 0666),
                    (dev_t) DEV_TTY);
    if (status) perror (NULL);
    status = mknod ("dsk0",       (mode_t) (S_IFBLK | 0644),
                    (dev_t) DEV_DSK0);
    if (status) perror (NULL);
    status = mknod ("dsk1",       (mode_t) (S_IFBLK | 0644),
                    (dev_t) DEV_DSK1);
    if (status) perror (NULL);
    status = mknod ("dsk2",       (mode_t) (S_IFBLK | 0644),
                    (dev_t) DEV_DSK2);
    if (status) perror (NULL);
    status = mknod ("dsk3",       (mode_t) (S_IFBLK | 0644),
                    (dev_t) DEV_DSK3);
    if (status) perror (NULL);
    status = mknod ("kmem_ps",    (mode_t) (S_IFCHR | 0444),
                    (dev_t) DEV_KMEM_PS);
    if (status) perror (NULL);
    status = mknod ("kmem_mmp",   (mode_t) (S_IFCHR | 0444),
                    (dev_t) DEV_KMEM_MMP);
    if (status) perror (NULL);
    status = mknod ("kmem_sb",    (mode_t) (S_IFCHR | 0444),
                    (dev_t) DEV_KMEM_SB);
    if (status) perror (NULL);
    status = mknod ("kmem_inode", (mode_t) (S_IFCHR | 0444),
                    (dev_t) DEV_KMEM_INODE);
    if (status) perror (NULL);
    status = mknod ("kmem_file",  (mode_t) (S_IFCHR | 0444),
                    (dev_t) DEV_KMEM_FILE);
    if (status) perror (NULL);
    status = mknod ("console",    (mode_t) (S_IFCHR | 0644),
                    (dev_t) DEV_CONSOLE);
    if (status) perror (NULL);
    status = mknod ("console0",   (mode_t) (S_IFCHR | 0644),
                    (dev_t) DEV_CONSOLE0);
    if (status) perror (NULL);
    status = mknod ("console1",   (mode_t) (S_IFCHR | 0644),
                    (dev_t) DEV_CONSOLE1);
    if (status) perror (NULL);
    status = mknod ("console2",   (mode_t) (S_IFCHR | 0644),
                    (dev_t) DEV_CONSOLE2);
    if (status) perror (NULL);
    status = mknod ("console3",   (mode_t) (S_IFCHR | 0644),
                    (dev_t) DEV_CONSOLE3);
    if (status) perror (NULL);

    return (0);
}
