#include <sys/os16.h>
#include <kernel/diag.h>
#include <kernel/k_libc.h>
//----------------------------------------------------------------------
uint32_t
reverse_32_bit (uint32_t source)
{
    uint32_t destination = 0;
    uint32_t mask_src;
    uint32_t mask_dst;
    int      i;
    for (i = 0; i < 32; i++)
      {
        mask_src = 0x00000001 << i;
        mask_dst = 0x80000000 >> i;
        if (source & mask_src)
          {
            destination |= mask_dst;
          }
      }
    return (destination);
}
