#include <sys/os16.h>
#include <sys/types.h>
#include <signal.h>
#include <errno.h>
#include <string.h>
//----------------------------------------------------------------------
int
kill (pid_t pid, int sig)
{
    sysmsg_kill_t msg;
    if (pid < -1)       // Currently unsupported.
      {
        errset (ESRCH);
        return (-1);
      }
    msg.pid    = pid;
    msg.signal = sig;    
    msg.ret    = 0;
    msg.errno  = 0;
    sys (SYS_KILL, &msg, (sizeof msg));
    errno = msg.errno;
    errln = msg.errln;
    strncpy (errfn, msg.errfn, PATH_MAX);
    return (msg.ret);
}
